View Issue Details

IDProjectCategoryView StatusLast Update
16859Bug reportsOtherpublic2021-01-21 13:36
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.25.1 
Fixed in Version3.25.6 
Summary16859: Show survey list on Home page : survey list navigator broken
DescriptionWith some specific server : with Show survey list on Home page: navigation did n't work
Steps To Reproduce1. Activate [MultiViews](https://httpd.apache.org/docs/current/en/content-negotiation.html) on yourt server
2. Show survey list on home page
3. Have more tha n 10 surveys
4. Try to navigate
5/ Unable

Multiviews find https://github.com/LimeSurvey/LimeSurvey/blob/master/admin/index.php and redirect ....
Additional InformationEasy to daible (if possible) via `.htacccess`,
I makle a pull requets to add it in htaccess.

Unsure it work in all case, but can not broke other server.
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.25.1
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant?
Server OS (if known)debian
Webserver software & version (if known)apache with Multiviews enable
PHP Versionphp7.4

Activities

DenisChenu

DenisChenu

2020-11-24 19:30

developer  

Peek 24-11-2020 19-23.gif (559,177 bytes)
DenisChenu

DenisChenu

2020-11-24 19:43

developer   ~60752

https://github.com/LimeSurvey/LimeSurvey/pull/1667
DenisChenu

DenisChenu

2021-01-13 17:52

developer   ~61536

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30848
DenisChenu

DenisChenu

2021-01-15 08:37

developer   ~61556

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30852
lime_release_bot

lime_release_bot

2021-01-18 11:05

administrator   ~61577

Fixed in Release 3.25.8+210118
DenisChenu

DenisChenu

2021-01-21 13:36

developer   ~61622

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30903

Related Changesets

LimeSurvey: 3.x-LTS 25ddd89c

2021-01-13 17:52:39

DenisChenu


Committer: GitHub Details Diff
Fixed issue 16859: Survey list navigator in homle page broke with Multiviews (#1667)

Dev: disable Multiviews via htaccess
Affected Issues
16859
mod - .htaccess Diff File

LimeSurvey: master 1bd848df

2021-01-13 17:52:39

DenisChenu

Details Diff
Fixed issue 16859: Survey list navigator in homle page broke with Multiviews (#1667)
Dev: disable Multiviews via htaccess
Affected Issues
16859
mod - .htaccess Diff File

LimeSurvey: master 3198576f

2021-01-13 17:52:39

DenisChenu

Details Diff
Fixed issue 16859: Survey list navigator in homle page broke with Multiviews (#1667)
Dev: disable Multiviews via htaccess
Affected Issues
16859
mod - .htaccess Diff File

Issue History

Date Modified Username Field Change
2020-11-24 19:30 DenisChenu New Issue
2020-11-24 19:30 DenisChenu File Added: Capture d’écran du 2020-11-24 19-24-40.png
2020-11-24 19:30 DenisChenu File Added: Peek 24-11-2020 19-23.gif
2020-11-24 19:43 DenisChenu Note Added: 60752
2021-01-13 17:52 DenisChenu Changeset attached => LimeSurvey 3.x-LTS 25ddd89c
2021-01-13 17:52 DenisChenu Note Added: 61536
2021-01-13 17:52 DenisChenu Assigned To => DenisChenu
2021-01-13 17:52 DenisChenu Resolution open => fixed
2021-01-15 08:37 DenisChenu Changeset attached => LimeSurvey master 1bd848df
2021-01-15 08:37 DenisChenu Note Added: 61556
2021-01-15 08:38 DenisChenu Status new => resolved
2021-01-15 08:38 DenisChenu Fixed in Version => 3.25.6
2021-01-18 11:05 lime_release_bot Note Added: 61577
2021-01-18 11:05 lime_release_bot Status resolved => closed
2021-01-21 13:36 DenisChenu Changeset attached => LimeSurvey master 3198576f
2021-01-21 13:36 DenisChenu Note Added: 61622